#### D.4.11.17 kontrahom

Procedure from library `homolog.lib` (see homolog_lib).

Usage:
  kontrahom(A,k); A=matrix, k=integer

Return:
  matrix Hom(A,R^k), i.e. let A be a matrix defining a map F1-->F2 of free R-modules, then the matrix of Hom(F2,R^k)-->Hom(F1,R^k) is computed (R=basering).

Example:

    LIB "homolog.lib";
    ring r;
    matrix n[2][3]=x,y,5,z,77,33;
    print(kontrahom(n,3));
    ==> x,z, 0,0, 0,0,
    ==> y,77,0,0, 0,0,
    ==> 5,33,0,0, 0,0,
    ==> 0,0, x,z, 0,0,
    ==> 0,0, y,77,0,0,
    ==> 0,0, 5,33,0,0,
    ==> 0,0, 0,0, x,z,
    ==> 0,0, 0,0, y,77,
    ==> 0,0, 0,0, 5,33

User manual for Singular version 4.4.1, 2025, generated by texi2html.